import { Mark } from './Mark';
import { GraphModel } from './GraphModel';
export declare class Graph extends Mark {
    render(): Promise<void>;
    set_ranges(): void;
    set_positional_scales(): void;
    relayout(): void;
    private updatePosition;
    initialize_additional_scales(): void;
    create_listeners(): void;
    draw(): void;
    private dragstarted;
    private dragged;
    private dragended;
    private colorScaleUpdated;
    private linkColorScaleUpdated;
    process_click(interaction: any): void;
    reset_hover_points(): void;
    hover_handler(args: any): void;
    reset_selection(): void;
    click_handler(args: any): void;
    hovered_style_updated(model: any, style: any): void;
    unhovered_style_updated(model: any, style: any): void;
    update_selected(model: any, value: any): void;
    update_hovered(model: any, value: any): void;
    apply_styles(style_arr?: any): void;
    clear_style(style_dict: any, indices: any): void;
    set_style_on_elements(style: any, indices: any): void;
    compute_view_padding(): void;
    private updateLinkDistance;
    private updateCharge;
    private updateStatic;
    private linkArc;
    private linkLine;
    private linkSlantLine;
    private tick;
    set_default_style(indices: any): void;
    hovered_style: {
        [key: string]: string;
    };
    unhovered_style: {
        [key: string]: string;
    };
    hovered_index: number[];
    private force_layout;
    private links;
    private nodes;
    model: GraphModel;
}
